"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EmptyMessage = void 0;

var _getStyledComponent = _interopRequireDefault(require("./utils/get-styled-component"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// @ts-check

/**
 * Small component for showing empty text
 *
 * @typedef {import('preact').FunctionComponent} PatientSummary
 * @param {{
 *   message: any
 *   className?: string
 * }} Props
 */
const EmptyMessage = (0, _getStyledComponent.default)({
  baseClasses: 'mid-gray',
  tagName: 'p',
  options: {
    message: ''
  },
  renderChildren: ({
    message
  }) => '(' + message + ')'
});
exports.EmptyMessage = EmptyMessage;