"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.IS_CHROME = exports.IS_IOS = exports.IS_IPAD = void 0;

if (typeof window === 'undefined') {
  // eslint-disable-next-line
  global.window = global;
}

const navigator = window && window.navigator || {};
const ua = navigator && navigator.userAgent || '';
const maxTouchPoints = navigator && navigator.maxTouchPoints || 1;
const IS_IPAD = /Macintosh/i.test(ua) && maxTouchPoints > 1;
exports.IS_IPAD = IS_IPAD;
const IS_IOS = /iPad|iPhone|iPod/.test(ua) || IS_IPAD;
exports.IS_IOS = IS_IOS;
const IS_CHROME = /Chrome/.test(ua) && /Google Inc/.test(navigator.vendor);
exports.IS_CHROME = IS_CHROME;